P_READ_BUF_DOUBLES(3)

EXPERIMENTAL_FUNC
p_read_buf_doubles - Read double floating point data from a buffer, trapping NaNs.

SYNOPSIS
#include <karma_p.h>

flag p_read_buf_doubles

(CONST char *buffer, uaddr num_values, double *data, uaddr *num_nan)

DESCRIPTION
This routine will read many double precision floating point numbers from a buffer and will optionally trap IEEE Not-A-Number (NaN) values. Trapped NaNs are converted to the TOOBIG value.

buffer
    A pointer to the buffer. This buffer must be at least 8 * <<num_values>> bytes long

num_values
    The number of values to read.

data
    The data will be written here. This will be written in host natural format. The data will be converted from IEEE network format prior to writing.

num_nan
    The number of NaN values found will be written here. If this is NULL then NaN values are not trapped.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/